Skip to main content
GET
/
transactions
/
{transaction_id}
/
settlements
List settlements for transaction
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "items": [
    {
      "type": "settlement",
      "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
      "merchant_account_id": "default",
      "created_at": "2024-04-01T19:23:00.000+00:00",
      "updated_at": "2024-04-01T19:23:00.000+00:00",
      "posted_at": "2024-03-30T10:25:00.000+00:00",
      "ingested_at": "2013-04-01T01:01:00.000+00:00",
      "currency": "USD",
      "amount": 1299,
      "exchange_rate": 0.95,
      "commission": 5,
      "interchange": 5,
      "markup": 10,
      "scheme_fee": 5,
      "payment_service_report_id": "8724fd24-5489-4a5d-90fd-0604df7d3b83",
      "payment_service_report_file_ids": [
        "0302e601-d2c3-42b2-9825-9457145331ae",
        "7deec061-71a5-435f-beae-40f35820ca67"
      ],
      "transaction_id": "fe26475d-ec3e-4884-9553-f7356683f7f9"
    }
  ]
}
This endpoint requires the transactions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

The ID for the transaction to get the information for.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

Response

Returns associated settlements.

A list of settlements.

items
Settlement · object[]

A list of settlements.